﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Tickets_291954_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = MyData.BusinessDataStorage.GetCategories();
    }

    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.ExpandCollapseCommandName)
        {
            GridDataItem item = (GridDataItem)e.Item;
            ((RadGrid)item.ChildItem.FindControl("RadGrid2")).Rebind();
        }

        Response.Write("RadGrid1: " + e.CommandName + "<br />");
    }

    protected void RadGrid2_SelectedIndexChanged(object sender, EventArgs e)
    {
        RadGrid RadGrid2  = (RadGrid)sender;
        if (RadGrid2.SelectedItems.Count > 0)
        {
            GridNestedViewItem nestedItem = (GridNestedViewItem)RadGrid2.NamingContainer;
            nestedItem.ParentItem.Selected = true;
        }
    }

    protected void RadGrid2_ItemCommand(object sender, GridCommandEventArgs e)
    {
        Response.Write("RadGrid2: " + e.CommandName + "<br />");
    }

    protected void RadGrid2_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid RadGrid2 = (RadGrid)sender;
        GridNestedViewItem nestedItem = (GridNestedViewItem)RadGrid2.NamingContainer;
        int catId = (int)nestedItem.ParentItem.GetDataKeyValue("ID");
        RadGrid2.DataSource = MyData.BusinessDataStorage.GetData(catId);
    }
}